$package_name = 'Pidgin'
$installer_type = 'exe'
$silent_args = '/S'
$valid_exit_codes = @(0)

$un_folder = "Pidgin"
$un_file = "pidgin-uninst.exe"

try {
    $64_bit = 0
    if (Test-Path "${Env:ProgramFiles(x86)}\$un_folder\$un_file") {
        $un_path = "${Env:ProgramFiles(x86)}\$un_folder\$un_file"
    } else {
	   $64_bit = 1
        $un_path = "${Env:ProgramFiles}\$un_folder\$un_file"
    }
    Uninstall-ChocolateyPackage $package_name $installer_type $silent_args $un_path -ValidExitCodes $valid_exit_codes
} catch {
  Write-ChocolateyFailure $package_name $($_.Exception.Message)
  throw
}
